<template>
  <div class="form">
    <component
        :is="component"
        @change="onChange"
        :params="params">
    </component>
  </div>
</template>

<script>
import Tabbar from './components/Tabbar.vue'
import AddForm from './components/AddForm.vue'
import Result from './components/Result.vue'
import {mapActions} from "vuex";

export default {
  name: 'AppAskForm',
  appName: '问卷表单管理',

  data() {
    return {
      component: 'Tabbar',
      params: {}
    }
  },

  components: {
    Tabbar,
    Result,
    AddForm
  },

  methods: {
    ...mapActions(['injectJWeixin']),
    onChange(e) {
      this.params = e.params
      this.component = e.type
    }
  },
  onShow() {
    document.title = "问卷表单"
    this.injectJWeixin(['sendChatMessage', 'selectEnterpriseContact', 'shareAppMessage', 'shareWechatMessage']).then(() => {
      this.$dict.load(['questionnaireStatus', 'questionnaireType', 'questionnaireFieldType'])
    })
  }
}
</script>

<style lang="scss" scoped>
</style>
